#!/usr/bin/env python
# -*- Coding: utf-8 -*-

import config
import MySQLdb
import smtplib
import time

connection = MySQLdb.connect(host='localhost', user=config.mysqluser, passwd=config.mysqlpassword, db=config.mysqldbname)

users = connection.cursor()
users.execute('SELECT * FROM users WHERE active=1 AND id!=1')


server = smtplib.SMTP('localhost')


for user in users:

	userid = user[0]
#	print 'id ' + str(userid)
	username = user[1]
#	print 'name ' + username
	usermail = user[2]
#	print 'mail ' + usermail

	
	todos = connection.cursor()
	number = todos.execute('SELECT * FROM todos WHERE done=0 AND deleted=0 AND who='+str(userid))

	if number == 0:
		continue

	body = ''
	body += 'From: Freitagsrunde TODO <todotool@freitagsrunde.org>\n'
	body += 'To: '+ username + ' <' + usermail + '>\n'
	body += 'X-TODO: Yes\n'
	body += 'Content-Type: text/plain;       charset="utf-8"\n'
	body += 'Subject: [Freitagsrunde | TODO REMINDER] ' + str(number) + ' undone TODOs\n'
	body += 'Date: ' + time.strftime('%a, %d %b %Y %H:%M:%S %Z +0200') + '\n'

	

	for todo in todos:

		body += '----------------------------------------------------\n'
		todoid = todo[0]
		todotitle = todo[1]
		todotask = todo[4]
		tododeadline = todo[3]

		body += 'Title: ' + todotitle + '\n\n'
		body += 'Deadline: ' + str(tododeadline) + '\n\n'
		body += 'Task: \n' + todotask + '\n\n'
		body += 'See: ' + config.rooturl + '/todo/show/' + str(todoid)
		body += '\n----------------------------------------------------\n\n\n'


	body += '\n----------------------------------------------------\n'
	body += 'See all TODOs and preferences at ' + config.rooturl + '/my'
	server.sendmail('todotool@freitagsrunde.org', usermail, body)
	

server.quit()
