CREATE TABLE IF NOT EXISTS `todos` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `created` timestamp NOT NULL default '0000-00-00',
  `deadline` date NOT NULL default '0000-00-00',
  `task` longtext NOT NULL,
  `who` bigint(20) NOT NULL,
  `done` tinyint(1) default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  `comment` longtext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `mail` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  `admin` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM CHARSET=utf8 COMMENT='Default user has ID 1';


-- Default User (is not allowed to login)
INSERT INTO `users` (`id`, `name`, `mail`, `password`, `active`, `admin`) VALUES (1, 'anyone', '', '', 1, 0);

-- Administrator. Replace <NAME> and <MAILADDRESS>
INSERT INTO `users` (`id`, `name`, `mail`, `password`, `active`, `admin`) VALUES (2, '<NAME>', '<MAILADDRESS>', 
'033a5f92337931950e147c565c0a8e48', 1, 1);
