-- phpMyAdmin SQL Dump
-- version 2.8.1-Debian-1~dapper1
-- 
-- tablestructure for table `todos`
-- 

CREATE TABLE `todos` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `title` varchar(255) collate utf8_unicode_ci default NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `deadline` date NOT NULL default '0000-00-00',
  `task` longtext collate utf8_unicode_ci NOT NULL,
  `who` bigint(20) NOT NULL,
  `done` tinyint(1) default '0',
  `deleted` tinyint(1) NOT NULL default '0',
  `comment` longtext collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=41 ;

-- 
-- tablestructure for table `users`
-- 

CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `name` varchar(255) collate utf8_unicode_ci NOT NULL,
  `mail` varchar(255) collate utf8_unicode_ci NOT NULL,
  `password` varchar(255) collate utf8_unicode_ci NOT NULL,
  `active` tinyint(1) NOT NULL default '0',
  `admin` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Default user has ID 1' AUTO_INCREMENT=24 ;

-- 
-- Data for table `users`

-- Default User (is not allowed to login)
INSERT INTO `users` (`id`, `name`, `mail`, `password`, `active`, `admin`) VALUES (1, 'anyone', '', '', 1, 0);

-- Administrator. Replace <NAME> and <MAILADDRESS>
-- Default password is 'todotool'
INSERT INTO `users` (`id`, `name`, `mail`, `password`, `active`, `admin`) VALUES (1, '<NAME>', '<PASSWORD>', '', 1, 0);
